VFLUSHBUF(9)

NAME
vflushbuf - flush dirty vnode buffers to disk

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vflushbuf(struct vnode *vp, int sync);

DESCRIPTION
The vflushbuf() function flushes all dirty buffers associated with the vnode vp to the disk. If the sync argument is zero, writes to the disk will be asynchronous and vflushbuf() returns immediately; otherwise, writes will be synchronous and all disk blocks associated with the vnode will have been properly synchronized with the in-core buffers upon return.

SEE ALSO
vinvalbuf(9), vnode(9)

HISTORY
This document first appeared in OpenBSD 3.7.